### Struct

# Peas PluginInfo

#### Description [src]

    struct PeasPluginInfo {
      /* No available fields */
    }

The `PeasPluginInfo` structure contains only private data and should only be accessed using the provided API.

#### Functions

###### peas_plugin_info_error_quark

No description available.

#### Instance methods

###### peas_plugin_info_get_authors

Gets a `NULL`-terminated array of strings with the authors of the plugin.

###### peas_plugin_info_get_copyright

Gets the copyright of the plugin.

###### peas_plugin_info_get_data_dir

Gets the data dir of the plugin.

###### peas_plugin_info_get_dependencies

Gets the dependencies of the plugin.

###### peas_plugin_info_get_description

Gets the description of the plugin.

###### peas_plugin_info_get_external_data

Gets external data specified for the plugin.

since: 1.6

###### peas_plugin_info_get_help_uri

Gets the help URI of the plugin.

###### peas_plugin_info_get_icon_name

Gets the icon name of the plugin.

###### peas_plugin_info_get_module_dir

Gets the module directory.

###### peas_plugin_info_get_module_name

Gets the module name.

###### peas_plugin_info_get_name

Gets the name of the plugin.

###### peas_plugin_info_get_settings

Creates a new `GSettings` for the given `schema_id` and if gschemas.compiled is not in the module directory an attempt will be made to create it.

since: 1.4

###### peas_plugin_info_get_version

Gets the version of the plugin.

###### peas_plugin_info_get_website

Gets the website of the plugin.

###### peas_plugin_info_has_dependency

Check if the plugin depends on another plugin.

###### peas_plugin_info_is_available

Check if the plugin is available.

###### peas_plugin_info_is_builtin

Check if the plugin is a builtin plugin.

###### peas_plugin_info_is_hidden

Check if the plugin is a hidden plugin.

###### peas_plugin_info_is_loaded

Check if the plugin is loaded.